## erlang-lhttpc 1.3.0

=== Makefile ===
.PHONY: all release compile test clean rel doc build-plt dialyzer

PROJECT = lhttpc

REBAR := ./rebar
DIALYZER = dialyzer

APPS = kernel stdlib sasl inets ssl public_key crypto compiler

all: compile doc

compile:
	$(REBAR) compile

doc:
	$(REBAR) doc

test:	compile
	$(REBAR) eunit

release: all dialyze test
	$(REBAR) release

clean:
	$(REBAR) clean

build-plt: compile
	@$(DIALYZER) --build_plt --output_plt .$(PROJECT).plt \
		--apps $(APPS)

dialyzer:
	@$(DIALYZER) --fullpath  --src ./src \
		--plt .$(PROJECT).plt --no_native \
		-Werror_handling  #-Wrace_conditions

=== debian/changelog ===
erlang-lhttpc (1.3.0-3) unstable; urgency=medium

  * Fixed FTBFS
  * Streamlined debian/rules

 -- Philipp Huebner <debalance@debian.org>  Sat, 02 May 2015 21:07:06 +0200

erlang-lhttpc (1.3.0-2) unstable; urgency=medium

  * Updated debian/watch
  * Updated Standards-Version: 3.9.6 (no changes needed)
  * Updated years in debian/copyright
  * Added Vcs links to debian/control

 -- Philipp Huebner <debalance@debian.org>  Mon, 27 Apr 2015 09:56:17 +0200

erlang-lhttpc (1.3.0-1) unstable; urgency=low

  * Initial release (Closes: #748471)

 -- Philipp Huebner <debalance@debian.org>  Wed, 09 Jul 2014 23:11:44 +0200

=== debian/control ===
Source: erlang-lhttpc
Priority: optional
Maintainer: Philipp Huebner <debalance@debian.org>
Build-Depends: debhelper (>= 9), dh-rebar, erlang-syntax-tools
Standards-Version: 3.9.6
Section: libs
Homepage: https://github.com/esl/lhttpc
Vcs-Git: git://anonscm.debian.org/users/debalance/erlang-lhttpc.git
Vcs-Browser: https://anonscm.debian.org/cgit/users/debalance/erlang-lhttpc.git

Package: erlang-lhttpc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, erlang-base | ${erlang-abi:Depends},
         ${erlang:Depends}
Description: lightweight HTTP/1.1 client implemented in Erlang
 lhttpc is a lightweight HTTP/1.1 client implemented in Erlang,
 developed at Erlang Training and Consulting Ltd.
 .
 Features:
  * Persistent connections (configurable timeout)
  * HTTP / HTTPS (ssl) support
  * HTTP versions < 1.1 should be supported 
 .
 Pipelining will probably never be supported...
 .
 Limitations
  * No support for "streaming" the response body
  * No support for SSL options, such as client certificates
  * The client can't follow redirects
  * It's not possible to limit the number of outgoing connections
  * No proper support for Except: 100-continue behaviour

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

include /usr/share/dpkg/default.mk

DESTDIR=$(CURDIR)/debian/erlang-lhttpc


%:
	dh $@ --buildsystem=rebar --with rebar


override_dh_auto_install:
	dh_auto_install
	for file in include/*.hrl ; do \
		fname=$$(basename $${file}) ; \
		subdir=$$(dirname $${file}) ; \
		if [ ! -f $(DESTDIR)/usr/lib/erlang/lib/lhttpc-$(DEB_VERSION_UPSTREAM)/$${subdir}/$${fname} ] ; then \
			install -m 755 -d $(DESTDIR)/usr/lib/erlang/lib/lhttpc-$(DEB_VERSION_UPSTREAM)/$${subdir} ; \
			install -m 644 $${file} $(DESTDIR)/usr/lib/erlang/lib/lhttpc-$(DEB_VERSION_UPSTREAM)/$${subdir} ; \
		fi ; \
	done


get-orig-source:
	dh_testdir
	wget -O ../erlang-lhttpc_$(DEB_VERSION_UPSTREAM).orig.tar.gz \
		https://github.com/esl/lhttpc/archive/$(DEB_VERSION_UPSTREAM).tar.gz

=== debian/watch ===
version=3
opts="filenamemangle=s/(?:.*)?v?(\d[\d\.]*)\.tar\.gz/erlang-lhttpc_$1.tar.gz/" \
  https://github.com/esl/lhttpc/tags (?:.*/)?v?(\d[\d\.]*)\.tar\.gz
